package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.TextView;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface ActivateConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void addCustomView(android.view.View view);
		String getPId();
		void setPId(String pidStr);
		String getPICI_PId();
		void setPICI_PId(String pidStr);
		String getLevel();
		void setLevel(String pidStr);
		String getPName();
		void setPName(String pNameStr);
		String getPNid();
		void setPNid(String pNidStr);
		String getProductDate();
		void setProductDate(String productDate);
		void setProductDateVisiable(int visibility);
		TextView getDateTextView();
		void setSingleActivateBtnVisiable(int visibility);
		void setBatchActivateBtnVisiable(int visibility);
		void setPackageRelationActivateBtnVisiable(int visibility);
		void setMoreOptionBtnVisiable(int visibility);
		void setMoreOptionBtnStr(String moreStr);
		void setSingleActivateBtnStr(String singleBtnStr);
		void readQRCode();
		void vibrate(int duration);
		void setProductNameVisiable(int visibility);//设置产品名称隐藏
		void setProductCodeVisiable(int visibility);//设置产品条码隐藏
		
		void setEmplateChoiceBtnStr(String moreStr);//设置右边的扫描名称
		void setSetProductIdStr(String Str);//设置产品名称
		
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void choiceProductClick();
		void choiceProductDateClick();
		void singleActivateClick();
		void batchActivateClick();
		void packageRelationActivateClick();
		void moreOptionClick();
	}

}
